com.brightcove.player.store

## Class MapConverter<K extends java.io.Serializable,V extends java.io.Serializable>

- java.lang.Object
- - com.brightcove.player.store.MapConverter<K,V>

- All Implemented Interfaces:
    io.requery.Converter<java.util.Map<K,V>,java.lang.String>

      public class MapConverter<K extends java.io.Serializable,V extends java.io.Serializable>
      extends java.lang.Object
      implements io.requery.Converter<java.util.Map<K,V>,java.lang.String>

  Provides a `Converter` that can be used persist and read `Map` objects.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapConverter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<K,V>` | `convertToMapped(java.lang.Class<? extends java.util.Map<K,V>> type, java.lang.String value)`
    `java.lang.String` | `convertToPersisted(java.util.Map<K,V> value)`
    `java.lang.Class<java.util.Map<K,V>>` | `getMappedType()`
    `java.lang.Integer` | `getPersistedSize()`
    `java.lang.Class<java.lang.String>` | `getPersistedType()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapConverter

          public MapConverter()

  - ### Method Detail

    - #### getMappedType

          public java.lang.Class<java.util.Map<K,V>> getMappedType()

      Specified by:
        `getMappedType` in interface `io.requery.Converter<java.util.Map<K extends java.io.Serializable,V extends java.io.Serializable>,java.lang.String>`

    - #### getPersistedType

          public java.lang.Class<java.lang.String> getPersistedType()

      Specified by:
        `getPersistedType` in interface `io.requery.Converter<java.util.Map<K extends java.io.Serializable,V extends java.io.Serializable>,java.lang.String>`

    - #### getPersistedSize

          public java.lang.Integer getPersistedSize()

      Specified by:
        `getPersistedSize` in interface `io.requery.Converter<java.util.Map<K extends java.io.Serializable,V extends java.io.Serializable>,java.lang.String>`

    - #### convertToPersisted

          public java.lang.String convertToPersisted(java.util.Map<K,V> value)

      Specified by:
        `convertToPersisted` in interface `io.requery.Converter<java.util.Map<K extends java.io.Serializable,V extends java.io.Serializable>,java.lang.String>`

    - #### convertToMapped

          public java.util.Map<K,V> convertToMapped(java.lang.Class<? extends java.util.Map<K,V>> type,
                                                    java.lang.String value)

      Specified by:
        `convertToMapped` in interface `io.requery.Converter<java.util.Map<K extends java.io.Serializable,V extends java.io.Serializable>,java.lang.String>`